package ch.sws.tasaf.bo.vo;

import java.io.Serializable;
import java.util.ArrayList;

/**
 * AreaVO: Value-Object fr die Tabelle Area.
 * <p>
 * Copyright (c) 2004, Eidgenssisches Institut fr Geistiges Eigentum
 * @author    Anita Rueegsegger, Marc Bouquet
 * @version   1.0
 */
public class AreaVO implements Serializable
{
  private int idArea = 0;
  private String area = null;
  private ArrayList alDestinationVO = new ArrayList();

  public AreaVO()
  {
  }

  /*******************************************************************************************************************
     G E T T E R - M E T H O D E N
   *******************************************************************************************************************/

  public int getIdArea()
  {
    return idArea;
  }

  public String getArea()
  {
    return area;
  }

  public ArrayList getAlDestinationVO()
  {
    return alDestinationVO;
  }

  /*******************************************************************************************************************
    S E T T E R - M E T H O D E N
   *******************************************************************************************************************/

  public void setIdArea( int idArea )
  {
    this.idArea = idArea;
  }

  public void setArea( String area )
  {
    this.area = area;
  }

  public void setAlDestinationVO( ArrayList alDestinationVO )
  {
    this.alDestinationVO = alDestinationVO;
  }

  /**
   * Die toString()-Methode gibt alle Attribute als String zurck.
   * @return buf String mit allen Attributen
   */
  public String toString()
  {
    StringBuffer buffer = new StringBuffer();

    buffer.append( "   idArea          = " + this.idArea + "\n" );
    buffer.append( "   area            = " + this.area + "\n" );

    for ( int i = 0; i < alDestinationVO.size(); i++ )
    {
      buffer.append( "     alDestinationVO = \n" );
      buffer.append( ( alDestinationVO.get( i ) ).toString() );
    }

    return buffer.toString();
  }
}
