package ch.sws.tasaf.bo.vo;

import java.io.Serializable;

/**
 * CountryCd: Value-Object fr die Tabelle Country.
 * <p>
 * Copyright (c) 2004, Eidgenssisches Institut fr Geistiges Eigentum
 * @author    Anita Rueegsegger, Marc Bouquet
 * @version   1.0
 */
public class CountryVO implements Serializable
{
  private String countryCd;
  private String country;

  /**
   * Standard-Konstruktor
   */
  public CountryVO()
  {
    countryCd = "";
    country = "";
  }

  /*******************************************************************************************************************
     G E T T E R - M E T H O D E N
   *******************************************************************************************************************/

  /**
   * Gibt den Wert zurck
   * @return String countryCd
   */
  public String getCountryCd()
  {
    return countryCd;
  }

  /**
   * Gibt den Wert zurck
   * @return String country
   */
  public String getCountry()
  {
    return country;
  }

  /*******************************************************************************************************************
    S E T T E R - M E T H O D E N
   *******************************************************************************************************************/

  /**
   * Setzt den bergebenen Wert
   * @param countryCd String
   */
  public void setCountryCd( String countryCd )
  {
    this.countryCd = countryCd;
  }

  /**
   * Setzt den bergebenen Wert
   * @param country String
   */
  public void setCountry( String country )
  {
    this.country = country;
  }

  /**
   * Die toString()-Methode gibt alle Attribute als String zurck.
   * @return buf String mit allen Attributen
   */
  public String toString()
  {
    StringBuffer buf = new StringBuffer();
    buf.append( " countryCd = <" + this.countryCd + "> \n" );
    buf.append( " country   = <" + this.country + "> \n" );
    return buf.toString();
  }
}
