package ch.sws.tasaf.bo.vo;

import java.io.Serializable;
import java.util.ArrayList;

/**
 * DestinationVO: Value-Object fr die Tabelle Destination.
 * <p>
 * Copyright (c) 2004, Eidgenssisches Institut fr Geistiges Eigentum
 * @author    Anita Rueegsegger, Marc Bouquet
 * @version   1.0
 */
public class DestinationVO implements Serializable
{
  private int idDestination = 0;
  private int idArea = 0;
  private String destination = null;
  private String description = null;
  private ArrayList alHotelVO = new ArrayList();

  public DestinationVO()
  {
  }

  /*******************************************************************************************************************
     G E T T E R - M E T H O D E N
   *******************************************************************************************************************/

  public int getIdDestination()
  {
    return idDestination;
  }

  public ArrayList getAlHotelVO()
  {
    return alHotelVO;
  }

  public int getIdArea()
  {
    return idArea;
  }

  public String getDescription()
  {
    return description;
  }

  public String getDestination()
  {
    return destination;
  }

  /*******************************************************************************************************************
    S E T T E R - M E T H O D E N
   *******************************************************************************************************************/

  public void setIdDestination( int idDestination )
  {
    this.idDestination = idDestination;
  }

  public void setAlHotelVO( ArrayList alHotelVO )
  {
    this.alHotelVO = alHotelVO;
  }

  public void setIdArea( int idArea )
  {
    this.idArea = idArea;
  }

  public void setDescription( String description )
  {
    this.description = description;
  }

  public void setDestination( String destination )
  {
    this.destination = destination;
  }

  /**
   * Die toString()-Methode gibt alle Attribute als String zurck.
   * @return buf String mit allen Attributen
   */
  public String toString()
  {
    StringBuffer buffer = new StringBuffer();

    buffer.append( "   idDestination   = " + this.idDestination + "\n" );
    buffer.append( "   idArea          = " + this.idArea + "\n" );
    buffer.append( "   destination     = " + this.destination + "\n" );
    buffer.append( "   description     = " + this.description + "\n" );

    for ( int i = 0; i < alHotelVO.size(); i++ )
    {
      buffer.append( "     alHotelVO = \n" );
      buffer.append( ( alHotelVO.get( i ) ).toString() );
    }

    return buffer.toString();
  }
}
