package ch.sws.tasaf.bo.vo;

import java.io.Serializable;

/**
 * HotelVO: Value-Object fr die Tabelle Hotel.
 * <p>
 * Copyright (c) 2004, Eidgenssisches Institut fr Geistiges Eigentum
 * @author    Anita Rueegsegger, Marc Bouquet
 * @version   1.0
 */
public class HotelVO implements Serializable
{
  private int idHotel = 0;
  private int idDestination = 0;
  private String name = null;
  private String description = null;
  private int category = 0;
  private float priceDoubleRoom = 0.0f;
  private float priceSingleRoom = 0.0f;

  public HotelVO()
  {
  }

  /*******************************************************************************************************************
     G E T T E R - M E T H O D E N
   *******************************************************************************************************************/

  public float getPriceSingleRoom()
  {
    return priceSingleRoom;
  }

  public String getName()
  {
    return name;
  }

  public String getDescription()
  {
    return description;
  }

  public int getCategory()
  {
    return category;
  }

  public int getIdHotel()
  {
    return idHotel;
  }

  public float getPriceDoubleRoom()
  {
    return priceDoubleRoom;
  }

  public int getIdDestination()
  {
    return idDestination;
  }

  /*******************************************************************************************************************
    S E T T E R - M E T H O D E N
   *******************************************************************************************************************/

  public void setIdDestination( int idDestination )
  {
    this.idDestination = idDestination;
  }

  public void setName( String name )
  {
    this.name = name;
  }

  public void setDescription( String description )
  {
    this.description = description;
  }

  public void setCategory( int category )
  {
    this.category = category;
  }

  public void setIdHotel( int idHotel )
  {
    this.idHotel = idHotel;
  }

  public void setPriceDoubleRoom( float priceDoubleRoom )
  {
    this.priceDoubleRoom = priceDoubleRoom;
  }

  public void setPriceSingleRoom( float priceSingleRoom )
  {
    this.priceSingleRoom = priceSingleRoom;
  }

  /**
   * Die toString()-Methode gibt alle Attribute als String zurck.
   * @return buf String mit allen Attributen
   */
  public String toString()
  {
    StringBuffer buffer = new StringBuffer();

    buffer.append( "   idHotel         = " + this.idHotel + "\n" );
    buffer.append( "   idDestination   = " + this.idDestination + "\n" );
    buffer.append( "   name            = " + this.name + "\n" );
    buffer.append( "   description     = " + this.description + "\n" );
    buffer.append( "   category        = " + this.category + "\n" );
    buffer.append( "   priceDoubleRoom = " + this.priceDoubleRoom + "\n" );
    buffer.append( "   priceSingleRoom = " + this.priceSingleRoom + "\n" );

    return buffer.toString();
  }
}
