package ch.sws.tasaf.bo.vo;

import java.io.Serializable;

/**
 * ParticipantVO: Value-Object fr die Tabelle Participant.
 * <p>
 * Copyright (c) 2004, Eidgenssisches Institut fr Geistiges Eigentum
 * @author    Anita Rueegsegger, Marc Bouquet
 * @version   1.0
 */
public class ParticipantVO implements Serializable
{
  private int index;
  private String lastname;
  private String firstname;
  private String city;
  private String countryCd;

  /**
   * Standard-Konstruktor
   */
  public ParticipantVO()
  {
    index = 0;
    lastname = "";
    firstname = "";
    city = "";
    countryCd = "";
  }

  /*******************************************************************************************************************
     G E T T E R - M E T H O D E N
   *******************************************************************************************************************/

  /**
   * Gibt den Wert zurck
   * @return int index
   */
  public int getIndex()
  {
    return index;
  }

  /**
   * Gibt den Wert zurck
   * @return String lastname
   */
  public String getLastname()
  {
    return lastname;
  }

  /**
   * Gibt den Wert zurck
   * @return String firstname
   */
  public String getFirstname()
  {
    return firstname;
  }

  /**
   * Gibt den Wert zurck
   * @return String city
   */
  public String getCity()
  {
    return city;
  }

  /**
   * Gibt den Wert zurck
   * @return String countryCd
   */
  public String getCountryCd()
  {
    return countryCd;
  }

  /*******************************************************************************************************************
    S E T T E R - M E T H O D E N
   *******************************************************************************************************************/

  /**
   * Setzt den bergebenen Wert
   * @param index int
   */
  public void setIndex( int index )
  {
    this.index = index;
  }

  /**
   * Setzt den bergebenen Wert
   * @param lastname String
   */
  public void setLastname( String lastname )
  {
    this.lastname = lastname;
  }

  /**
   * Setzt den bergebenen Wert
   * @param firstname String
   */
  public void setFirstname( String firstname )
  {
    this.firstname = firstname;
  }

  /**
   * Setzt den bergebenen Wert
   * @param city String
   */
  public void setCity( String city )
  {
    this.city = city;
  }

  /**
   * Setzt den bergebenen Wert
   * @param countryCd int
   */
  public void setCountryCd( String countryCd )
  {
    this.countryCd = countryCd;
  }

  /**
   * Die toString()-Methode gibt alle Attribute als String zurck.
   * @return buf String mit allen Attributen
   */
  public String toString()
  {
    StringBuffer buf = new StringBuffer();
    buf.append( " index     = <" + this.index + "> \n" );
    buf.append( " lastname  = <" + this.lastname + "> \n" );
    buf.append( " firstname = <" + this.firstname + "> \n" );
    buf.append( " city      = <" + this.city + "> \n" );
    buf.append( " countryCd = <" + this.countryCd + "> \n" );
    return buf.toString();
  }
}
