package ch.sws.tasaf.bo.vo;

import java.io.Serializable;
import java.sql.Date;

/**
 * PersonVO: Value-Object fr die Tabelle Person.
 * <p>
 * Copyright (c) 2004, Eidgenssisches Institut fr Geistiges Eigentum
 * @author    Anita Rueegsegger, Marc Bouquet
 * @version   1.0
 */
public class PersonVO implements Serializable
{
  private String lastname;
  private String firstname;
  private String address;
  private int zipCode;
  private String city;
  private String countryCd;
  private String email;
  private String ccType;
  private String ccNumber;
  private String ccName;
  private Date ccExpiryDate;

  /**
   * Standard-Konstruktor
   */
  public PersonVO()
  {
    lastname = "";
    firstname = "";
    address = "";
    zipCode = 0;
    city = "";
    countryCd = "";
    email = "";
    ccType = "";
    ccNumber = "";
    ccName = "";
    ccExpiryDate = null;
  }

  /*******************************************************************************************************************
     G E T T E R - M E T H O D E N
   *******************************************************************************************************************/

  /**
   * Gibt den Wert zurck
   * @return String lastname
   */
  public String getLastname()
  {
    return lastname;
  }

  /**
   * Gibt den Wert zurck
   * @return String firstname
   */
  public String getFirstname()
  {
    return firstname;
  }

  /**
   * Gibt den Wert zurck
   * @return String address
   */
  public String getAddress()
  {
    return address;
  }

  /**
   * Gibt den Wert zurck
   * @return int zipCode
   */
  public int getZipCode()
  {
    return zipCode;
  }

  /**
   * Gibt den Wert zurck
   * @return String city
   */
  public String getCity()
  {
    return city;
  }

  /**
   * Gibt den Wert zurck
   * @return String countryCd
   */
  public String getCountryCd()
  {
    return countryCd;
  }

  /**
   * Gibt den Wert zurck
   * @return String email
   */
  public String getEmail()
  {
    return email;
  }

  /**
   * Gibt den Wert zurck
   * @return String ccType
   */
  public String getCcType()
  {
    return ccType;
  }

  /**
   * Gibt den Wert zurck
   * @return String ccNumber
   */
  public String getCcNumber()
  {
    return ccNumber;
  }

  /**
   * Gibt den Wert zurck
   * @return String ccName
   */
  public String getCcName()
  {
    return ccName;
  }

  /**
   * Gibt den Wert zurck
   * @return Date ccExpiryDate
   */
  public Date getCcExpiryDate()
  {
    return ccExpiryDate;
  }

  /*******************************************************************************************************************
    S E T T E R - M E T H O D E N
   *******************************************************************************************************************/

  /**
   * Setzt den bergebenen Wert
   * @param lastname String
   */
  public void setLastname( String lastname )
  {
    this.lastname = lastname;
  }

  /**
   * Setzt den bergebenen Wert
   * @param firstname String
   */
  public void setFirstname( String firstname )
  {
    this.firstname = firstname;
  }

  /**
   * Setzt den bergebenen Wert
   * @param address String
   */
  public void setAddress( String address )
  {
    this.address = address;
  }

  /**
   * Setzt den bergebenen Wert
   * @param zipCode int
   */
  public void setZipCode( int zipCode )
  {
    this.zipCode = zipCode;
  }

  /**
   * Setzt den bergebenen Wert
   * @param city String
   */
  public void setCity( String city )
  {
    this.city = city;
  }

  /**
   * Setzt den bergebenen Wert
   * @param countryCd int
   */
  public void setCountryCd( String countryCd )
  {
    this.countryCd = countryCd;
  }

  /**
   * Setzt den bergebenen Wert
   * @param email String
   */
  public void setEmail( String email )
  {
    this.email = email;
  }

  /**
   * Setzt den bergebenen Wert
   * @param ccType String
   */
  public void setCcType( String ccType )
  {
    this.ccType = ccType;
  }

  /**
   * Setzt den bergebenen Wert
   * @param ccNumber String
   */
  public void setCcNumber( String ccNumber )
  {
    this.ccNumber = ccNumber;
  }

  /**
   * Setzt den bergebenen Wert
   * @param ccName String
   */
  public void setCcName( String ccName )
  {
    this.ccName = ccName;
  }

  /**
   * Setzt den bergebenen Wert
   * @param ccExpiryDate Date
   */
  public void setCcExpiryDate( Date ccExpiryDate )
  {
    this.ccExpiryDate = ccExpiryDate;
  }

  /**
   * Die toString()-Methode gibt alle Attribute als String zurck.
   * @return buf String mit allen Attributen
   */
  public String toString()
  {
    StringBuffer buf = new StringBuffer();
    buf.append( " lastname     = <" + this.lastname + "> \n" );
    buf.append( " firstname    = <" + this.firstname + "> \n" );
    buf.append( " address      = <" + this.address + "> \n" );
    buf.append( " zipCode      = <" + this.zipCode + "> \n" );
    buf.append( " city         = <" + this.city + "> \n" );
    buf.append( " countryCd    = <" + this.countryCd + "> \n" );
    buf.append( " email        = <" + this.email + "> \n" );
    buf.append( " ccType       = <" + this.ccType + "> \n" );
    buf.append( " ccNumber     = <" + this.ccNumber + "> \n" );
    buf.append( " ccName       = <" + this.ccName + "> \n" );
    buf.append( " ccExpiryDate = <" + this.ccExpiryDate + "> \n" );
    return buf.toString();
  }
}
