package ch.sws.tasaf.bo.vo;

import java.io.Serializable;
import java.sql.Date;

/**
 * ProgramVO: Value-Object fr die Tabelle Person.
 * <p>
 * Copyright (c) 2004, Eidgenssisches Institut fr Geistiges Eigentum
 * @author    Anita Rueegsegger, Marc Bouquet
 * @version   1.0
 */
public class ProgramVO implements Serializable
{
  private int index;
  private Date fromDate;
  private Date toDate;
  private int numberOfDoubleRoom;
  private int numberOfSingleRoom;
  private HotelVO hotelVO = null;
  private float costs;

  /**
   * Standard-Konstruktor
   */
  public ProgramVO()
  {
    index = 0;
    fromDate = null;
    toDate = null;
    numberOfDoubleRoom = 0;
    numberOfSingleRoom = 0;
    hotelVO = new HotelVO();
    float costs = 0.0f;
  }

  /*******************************************************************************************************************
     G E T T E R - M E T H O D E N
   *******************************************************************************************************************/

  /**
   * Gibt den Wert zurck
   * @return int index
   */
  public int getIndex()
  {
    return index;
  }

  /**
   * Gibt den Wert zurck
   * @return Date formDate
   */
  public Date getFromDate()
  {
    return fromDate;
  }

  /**
   * Gibt den Wert zurck
   * @return Date toDate
   */
  public Date getToDate()
  {
    return toDate;
  }

  /**
   * Gibt den Wert zurck
   * @return int numberOfDoubleRoom
   */
  public int getNumberOfDoubleRoom()
  {
    return numberOfDoubleRoom;
  }

  /**
   * Gibt den Wert zurck
   * @return int numberOfSingleRoom
   */
  public int getNumberOfSingleRoom()
  {
    return numberOfSingleRoom;
  }

  /**
   * Gibt den Wert zurck
   * @return HotelVO
   */
  public HotelVO getHotelVO()
  {
    return hotelVO;
  }

  /**
   * Gibt den Wert zurck
   * @return float
   */
  public float getCosts()
  {
    return costs;
  }

  /*******************************************************************************************************************
    S E T T E R - M E T H O D E N
   *******************************************************************************************************************/

  /**
   * Setzt den bergebenen Wert
   * @param index int
   */
  public void setIndex( int index )
  {
    this.index = index;
  }

  /**
   * Setzt den bergebenen Wert
   * @param fromDate Date
   */
  public void setFromDate( Date fromDate )
  {
    this.fromDate = fromDate;
  }

  /**
   * Setzt den bergebenen Wert
   * @param toDate Date
   */
  public void setToDate( Date toDate )
  {
    this.toDate = toDate;
  }

  /**
   * Setzt den bergebenen Wert
   * @param numberOfDoubleRoom int
   */
  public void setNumberOfDoubleRoom( int numberOfDoubleRoom )
  {
    this.numberOfDoubleRoom = numberOfDoubleRoom;
  }

  /**
   * Setzt den bergebenen Wert
   * @param numberOfSingleRoom int
   */
  public void setNumberOfSingleRoom( int numberOfSingleRoom )
  {
    this.numberOfSingleRoom = numberOfSingleRoom;
  }

  /**
   * Setzt den bergebenen Wert
   * @param hotelVO HotelVO
   */
  public void setHotelVO( HotelVO hotelVO )
  {
    this.hotelVO = hotelVO;
  }

  /**
   * Setzt den bergebenen Wert
   * @param costs float
   */
  public void setCosts( float costs )
  {
    this.costs = costs;
  }

  /**
   * Die toString()-Methode gibt alle Attribute als String zurck.
   * @return buf String mit allen Attributen
   */
  public String toString()
  {
    StringBuffer buf = new StringBuffer();
    buf.append( " index              = <" + this.index + "> \n" );
    buf.append( " fromDate           = <" + this.fromDate + "> \n" );
    buf.append( " toDate             = <" + this.toDate + "> \n" );
    buf.append( " numberOfDoubleRoom = <" + this.numberOfDoubleRoom + "> \n" );
    buf.append( " numberOfSingleRoom = <" + this.numberOfSingleRoom + "> \n" );
    buf.append( " hotelVO            = <" + this.hotelVO.toString() + "> \n" );
    buf.append( " costs              = <" + this.costs + "> \n" );
    return buf.toString();
  }
}
