package ch.sws.tasaf.bo.vo;

import java.io.Serializable;

/**
 * TransportVO: Value-Object fr die Tabelle Transport.
 * <p>
 * Copyright (c) 2004, Eidgenssisches Institut fr Geistiges Eigentum
 * @author    Anita Rueegsegger, Marc Bouquet
 * @version   1.0
 */
public class TransportVO implements Serializable
{
  private int idTransport;
  private String type;
  private String[] selectedOptions = null;

  /**
   * Standard-Konstruktor
   */
  public TransportVO()
  {
    idTransport = 0;
    type = "";
  }

  /*******************************************************************************************************************
     G E T T E R - M E T H O D E N
   *******************************************************************************************************************/

  /**
   * Gibt den Wert zurck
   * @return int idTransport
   */
  public int getIdTransport()
  {
    return idTransport;
  }

  /**
   * Gibt den Wert zurck
   * @return String type
   */
  public String getType()
  {
    return type;
  }

  /**
   * Gibt den Wert zurck
   * @return String[] selectedOptions
   */
  public String[] getSelectedOptions()
  {
    return selectedOptions;
  }

  /*******************************************************************************************************************
     /*******************************************************************************************************************
      S E T T E R - M E T H O D E N
    *******************************************************************************************************************/

   /**
    * Setzt den bergebenen Wert
    * @param idTransport int
    */
   public void setIdTransport( int idTransport )
   {
     this.idTransport = idTransport;
   }

  /**
   * Setzt den bergebenen Wert
   * @param type String
   */
  public void setType( String type )
  {
    this.type = type;
  }

  /**
   * Setzt den bergebenen Wert
   * @param selectedOptions String[]
   */
  public void setSelectedOptions( String[] selectedOptions )
  {
    this.selectedOptions = selectedOptions;
  }

  /**
   * Die toString()-Methode gibt alle Attribute als String zurck.
   * @return buf String mit allen Attributen
   */
  public String toString()
  {
    StringBuffer buf = new StringBuffer();
    buf.append( " idTransport = <" + this.idTransport + "> \n" );
    buf.append( " type        = <" + this.type + "> \n" );
    return buf.toString();
  }
}
