package ch.sws.tasaf.bo.vo;

import java.io.Serializable;
import java.sql.Date;

/**
 * TravelVO: Value-Object fr die Tabelle Person.
 * <p>
 * Copyright (c) 2004, Eidgenssisches Institut fr Geistiges Eigentum
 * @author    Anita Rueegsegger, Marc Bouquet
 * @version   1.0
 */
public class TravelVO implements Serializable
{
  private String startCity;
  private Date startDate;
  private Date endDate;
  private float costs;

  /**
   * Standard-Konstruktor
   */
  public TravelVO()
  {
    startCity = "";
    startDate = null;
    endDate = null;
    costs = 0;
  }

  /*******************************************************************************************************************
     G E T T E R - M E T H O D E N
   *******************************************************************************************************************/

  /**
   * Gibt den Wert zurck
   * @return String startCity
   */
  public String getStartCity()
  {
    return startCity;
  }

  /**
   * Gibt den Wert zurck
   * @return Date startDate
   */
  public Date getStartDate()
  {
    return startDate;
  }

  /**
   * Gibt den Wert zurck
   * @return Date endDate
   */
  public Date getEndDate()
  {
    return endDate;
  }

  /**
   * Gibt den Wert zurck
   * @return float costs
   */
  public float getCosts()
  {
    return costs;
  }

  /*******************************************************************************************************************
    S E T T E R - M E T H O D E N
   *******************************************************************************************************************/

  /**
   * Setzt den bergebenen Wert
   * @param startCity String
   */
  public void setStartCity( String startCity )
  {
    this.startCity = startCity;
  }

  /**
   * Setzt den bergebenen Wert
   * @param startDate Date
   */
  public void setStartDate( Date startDate )
  {
    this.startDate = startDate;
  }

  /**
   * Setzt den bergebenen Wert
   * @param endDate Date
   */
  public void setEndDate( Date endDate )
  {
    this.endDate = endDate;
  }

  /**
   * Setzt den bergebenen Wert
   * @param costs float
   */
  public void setCosts( float costs )
  {
    this.costs = costs;
  }

  /**
   * Die toString()-Methode gibt alle Attribute als String zurck.
   * @return buf String mit allen Attributen
   */
  public String toString()
  {
    StringBuffer buf = new StringBuffer();
    buf.append( " startCity = <" + this.startCity + "> \n" );
    buf.append( " startDate = <" + this.startDate + "> \n" );
    buf.append( " endDate   = <" + this.endDate + "> \n" );
    buf.append( " costs     = <" + this.costs + "> \n" );
    return buf.toString();
  }
}
