package ch.sws.tasaf.client;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.apache.log4j.Logger;
import org.apache.struts.action.*;
import ch.sws.tasaf.bo.vo.DestinationVO;

/**
 * Die Klasse DestinationAction holt die Daten fuer eine Destination
 * <p>
 * Copyright (c) 2004, Eidgenssisches Institut fr Geistiges Eigentum
 * @author    Anita Rueegsegger, Marc Bouquet
 * @version   1.0
 */
public class DestinationAction extends Action
{
  private static final Logger LOG = Logger.getLogger( DestinationAction.class );

  /**
   * Die Methode execute wird aufgerufen, wenn auf der JavaServerPage im Menu eine Destination angewhlt wird.
   * Als Parameter wird der PrimaryKey der Tabelle Destination gespeichert.
   * Durch diese Methode werden die Daten der Destination aus der Datenbank geladen
   * und die nchste Seite aufgerufen, die im Client angezeigt wird. Als Parae
   *
   * @param actionMapping ActionMapping
   * @param actionForm ActionForm
   * @param httpServletRequest HttpServletRequest
   * @param httpServletResponse HttpServletResponse
   * @return ActionForward
   */
  public ActionForward execute( ActionMapping actionMapping,
                                ActionForm actionForm,
                                HttpServletRequest httpServletRequest,
                                HttpServletResponse httpServletResponse )
  {
    ActionErrors errors = new ActionErrors();
    HttpSession session = httpServletRequest.getSession();
    DestinationVO destinationVO = null;

    try
    {
      String id = httpServletRequest.getParameter( "id" );
      int idDestination = Integer.parseInt( id );
      destinationVO = Delegate.getInstance().getDestination( idDestination );
    }
    catch ( Exception ex )
    {
      LOG.debug( "DestinationAction: " + ex.getMessage() );
      errors.add( "getDestination", new ActionError( "errors.loadDataError", ex.getMessage() ) );
      saveErrors( httpServletRequest, errors );
      return ( new ActionForward( actionMapping.getInput() ) );
    }

    // Destination-Daten auf Session speichern
    session.setAttribute( "destination", destinationVO );

    return actionMapping.findForward( "forward" );
  }
}
