package ch.sws.tasaf.client;

import java.util.ArrayList;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import org.apache.log4j.Logger;
import org.apache.struts.action.*;
import ch.sws.tasaf.bo.vo.HotelVO;
import ch.sws.tasaf.bo.vo.ProgramVO;

/**
 * Die Klasse HotelAction verarbeitet die Daten der HotelForm.
 * <p>
 * Copyright (c) 2004, Eidgenssisches Institut fr Geistiges Eigentum
 * @see HotelForm
 * @author    Anita Rueegsegger, Marc Bouquet
 * @version   1.0
 */
public class HotelAction extends Action
{
  private static final Logger LOG = Logger.getLogger( HotelAction.class );

  /**
   * Die Methode execute wird aufgerufen, wenn auf der JavaServerPage der Button "Buchen" in einer Hotelzeile gedrckt wird.
   * Durch diese Methode wird die nchste Seite aufgerufen die im Client angezeigt wird.
   * In der Methode werden die Daten verarbeitet die in der HotelForm gehalten werden.
   *
   * @param actionMapping ActionMapping
   * @param actionForm ActionForm
   * @param httpServletRequest HttpServletRequest
   * @param httpServletResponse HttpServletResponse
   * @return ActionForward
   */
  public ActionForward execute( ActionMapping actionMapping,
                                ActionForm actionForm,
                                HttpServletRequest httpServletRequest,
                                HttpServletResponse httpServletResponse )
  {
    HotelForm hotelForm = ( HotelForm ) actionForm;
    HttpSession session = httpServletRequest.getSession();

    HotelVO hotelVO = new HotelVO();
    hotelVO.setIdHotel( hotelForm.getIdHotel() );
    hotelVO.setIdDestination( hotelForm.getIdDestination() );
    hotelVO.setName( hotelForm.getName() );
    hotelVO.setDescription( hotelForm.getDescription() );
    hotelVO.setCategory( hotelForm.getCategory() );
    hotelVO.setPriceDoubleRoom( hotelForm.getPriceDoubleRoom() );
    hotelVO.setPriceSingleRoom( hotelForm.getPriceSingleRoom() );

    ProgramVO programVO = new ProgramVO();
    programVO.setHotelVO( hotelVO );

    ArrayList programs = Delegate.getInstance().addProgram( programVO );

    // Liste der Programme auf der Session speichern
    session.setAttribute( "programs", programs );
    hotelForm.reset( actionMapping, httpServletRequest );

    return actionMapping.findForward( "forward" );
  }
}
