package ch.sws.tasaf.client;

import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.*;

/**
 * Die Klasse OrganisatorForm ist die Datenhaltung fr die organisator.jsp
 * <p>
 * Copyright (c) 2004, Eidgenssisches Institut fr Geistiges Eigentum
 * @author    Anita Rueegsegger, Marc Bouquet
 * @version   1.0
 */
public class OrganisatorForm extends ActionForm
{
  private String cbxCartFirm;
  private String cbxLand;
  private String txfCartJahr;
  private String txfCartMonat;
  private String txfCartName;
  private String txfCartNr;
  private String txfEmail;
  private String txfName;
  private String txfOrt;
  private String txfPlz;
  private String txfStrasse;
  private String txfVorname;

  /*******************************************************************************************************************
     G E T T E R -  U N D  S E T T E R - M E T H O D E N  D E R  A C T I O N F O R M
   *******************************************************************************************************************/
  public String getCbxCartFirm()
  {
    return cbxCartFirm;
  }

  public void setCbxCartFirm( String cbxCartFirm )
  {
    this.cbxCartFirm = cbxCartFirm;
  }

  public String getCbxLand()
  {
    return cbxLand;
  }

  public void setCbxLand( String cbxLand )
  {
    this.cbxLand = cbxLand;
  }

  public String getTxfCartJahr()
  {
    return txfCartJahr;
  }

  public void setTxfCartJahr( String txfCartJahr )
  {
    this.txfCartJahr = txfCartJahr;
  }

  public String getTxfCartMonat()
  {
    return txfCartMonat;
  }

  public void setTxfCartMonat( String txfCartMonat )
  {
    this.txfCartMonat = txfCartMonat;
  }

  public String getTxfCartName()
  {
    return txfCartName;
  }

  public void setTxfCartName( String txfCartName )
  {
    this.txfCartName = txfCartName;
  }

  public String getTxfCartNr()
  {
    return txfCartNr;
  }

  public void setTxfCartNr( String txfCartNr )
  {
    this.txfCartNr = txfCartNr;
  }

  public String getTxfEmail()
  {
    return txfEmail;
  }

  public void setTxfEmail( String txfEmail )
  {
    this.txfEmail = txfEmail;
  }

  public String getTxfName()
  {
    return txfName;
  }

  public void setTxfName( String txfName )
  {
    this.txfName = txfName;
  }

  public String getTxfOrt()
  {
    return txfOrt;
  }

  public void setTxfOrt( String txfOrt )
  {
    this.txfOrt = txfOrt;
  }

  public String getTxfPlz()
  {
    return txfPlz;
  }

  public void setTxfPlz( String txfPlz )
  {
    this.txfPlz = txfPlz;
  }

  public String getTxfStrasse()
  {
    return txfStrasse;
  }

  public void setTxfStrasse( String txfStrasse )
  {
    this.txfStrasse = txfStrasse;
  }

  public String getTxfVorname()
  {
    return txfVorname;
  }

  public void setTxfVorname( String txfVorname )
  {
    this.txfVorname = txfVorname;
  }

  /**
   * Diese Methode prft die eingegeben Daten auf der JSP und fgt diese im Fehlerfall in die
   * ActionErrors.
   * @param actionMapping ActionMapping
   * @param httpServletRequest HttpServletRequest
   * @return ActionErrors
   */
  public ActionErrors validate( ActionMapping actionMapping, HttpServletRequest httpServletRequest )
  {
    ActionErrors errors = new ActionErrors();

    if ( txfName == null || txfName.equals( "" ) )
    {
      errors.add( "txfName", new ActionError( "validate.firstNameRequired" ) );
    }
    else if ( txfName.length() > 50 )
    {
      errors.add( "txfName", new ActionError( "validate.firstNameLength" ) );
    }
    if ( txfVorname == null || txfVorname.equals( "" ) )
    {
      errors.add( "txfVorname", new ActionError( "validate.lastNameRequired" ) );
    }
    else if ( txfVorname.length() > 50 )
    {
      errors.add( "txfVorname", new ActionError( "validate.lastNameLength" ) );
    }
    if ( txfStrasse == null || txfStrasse.equals( "" ) )
    {
      errors.add( "txfStrasse", new ActionError( "validate.addressRequired" ) );
    }
    else if ( txfStrasse.length() > 50 )
    {
      errors.add( "txfStrasse", new ActionError( "validate.addressLength" ) );
    }
    if ( txfPlz == null || txfPlz.equals( "" ) )
    {
      errors.add( "txfPlz", new ActionError( "validate.zipCodeRequired" ) );
    }
    else if ( txfPlz.length() > 10 )
    {
      errors.add( "txfPlz", new ActionError( "validate.zipCodeLength" ) );
    }
    if ( txfOrt == null || txfOrt.equals( "" ) )
    {
      errors.add( "txfOrt", new ActionError( "validate.cityRequired" ) );
    }
    else if ( txfOrt.length() > 50 )
    {
      errors.add( "txfOrt", new ActionError( "validate.cityLength" ) );
    }
    if ( txfEmail == null || txfEmail.equals( "" ) )
    {
      errors.add( "txfEmail", new ActionError( "validate.emailRequired" ) );
    }
    else if ( txfEmail.length() > 50 )
    {
      errors.add( "txfEmail", new ActionError( "validate.emailLength" ) );
    }
    else if ( txfEmail.indexOf( "@" ) == -1 )
    {
      errors.add( "txfEmail", new ActionError( "validate.emailNotValid" ) );
    }
    if ( txfCartName == null || txfCartName.equals( "" ) )
    {
      errors.add( "txfCartName", new ActionError( "validate.ccNameRequired" ) );
    }
    else if ( txfCartName.length() > 50 )
    {
      errors.add( "txfCartName", new ActionError( "validate.ccNameLength" ) );
    }
    if ( txfCartNr == null || txfCartNr.equals( "" ) )
    {
      errors.add( "txfCartNr", new ActionError( "validate.ccNumberRequired" ) );
    }
    else if ( txfCartNr.length() > 16 )
    {
      errors.add( "txfCartNr", new ActionError( "validate.ccNumberLength" ) );
    }
    if ( txfCartMonat == null || txfCartMonat.equals( "" ) )
    {
      errors.add( "txfCartMonat", new ActionError( "validate.ccMonatRequired" ) );
    }
    else if ( txfCartMonat.length() > 2 )
    {
      errors.add( "txfCartMonat", new ActionError( "validate.ccMonatLength" ) );
    }
    if ( txfCartJahr == null || txfCartJahr.equals( "" ) )
    {
      errors.add( "txfCartJahr", new ActionError( "validate.ccJahrRequired" ) );
    }
    else if ( txfCartJahr.length() > 4 )
    {
      errors.add( "txfCartJahr", new ActionError( "validate.ccJahrLength" ) );
    }
    return errors;
  }

  /**
   * Diese Methode setzt die Eingabedaten auf der JSP zurck in den Defaultwert
   * @param actionMapping ActionMapping
   * @param httpServletRequest HttpServletRequest
   */
  public void reset( ActionMapping actionMapping, HttpServletRequest httpServletRequest )
  {
    this.cbxCartFirm = "";
    this.cbxLand = "";
    this.txfCartJahr = "";
    this.txfCartMonat = "";
    this.txfCartName = "";
    this.txfCartNr = "";
    this.txfEmail = "";
    this.txfName = "";
    this.txfOrt = "";
    this.txfPlz = "";
    this.txfStrasse = "";
    this.txfVorname = "";
  }
}
