package ch.sws.tasaf.client;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.*;

/**
 * Die Klasse ReisedatenForm ist die Datenhaltung fr die reisedaten.jsp
 * <p>
 * Copyright (c) 2004, Eidgenssisches Institut fr Geistiges Eigentum
 * @author    Anita Rueegsegger, Marc Bouquet
 * @version   1.0
 */
public class ReisedatenForm extends ActionForm
{
  private String txfAusgangsort;
  private String txfEndDate;
  private String txfStartDate;
  private int[] selectedOptions;
  private SimpleDateFormat df = new SimpleDateFormat( "dd.MM.yyyy" );

  /*******************************************************************************************************************
     G E T T E R -  U N D  S E T T E R - M E T H O D E N  D E R  A C T I O N F O R M
   *******************************************************************************************************************/

  public int[] getSelectedOptions()
  {
    return selectedOptions;
  }

  public void setSelectedOptions( int[] selectedOptions )
  {
    this.selectedOptions = selectedOptions;
  }

  public String getTxfAusgangsort()
  {
    return txfAusgangsort;
  }

  public void setTxfAusgangsort( String txfAusgangsort )
  {
    this.txfAusgangsort = txfAusgangsort;
  }

  public String getTxfEndDate()
  {
    return txfEndDate;
  }

  public void setTxfEndDate( String txfEndDate )
  {
    this.txfEndDate = txfEndDate;
  }

  public String getTxfStartDate()
  {
    return txfStartDate;
  }

  public void setTxfStartDate( String txfStartDate )
  {
    this.txfStartDate = txfStartDate;
  }

  /**
   * Diese Methode prft die eingegeben Daten auf der JSP und fgt diese im Fehlerfall in die
   * ActionErrors.
   * @param actionMapping ActionMapping
   * @param httpServletRequest HttpServletRequest
   * @return ActionErrors
   */
  public ActionErrors validate( ActionMapping actionMapping, HttpServletRequest httpServletRequest )
  {
    ActionErrors errors = new ActionErrors();

    if ( txfAusgangsort == null || txfAusgangsort.equals( "" ) )
    {
      errors.add( "txfAusgangsort", new ActionError( "validate.startCityRequired" ) );
    }
    else if ( txfAusgangsort.length() > 50 )
    {
      errors.add( "txfAusgangsort", new ActionError( "validate.startCityLength" ) );
    }

    if ( txfStartDate == null || txfStartDate.equals( "" ) )
    {
      errors.add( "txfStartDate", new ActionError( "validate.startDateRequired" ) );
    }
    else
    {
      try
      {
        df.setLenient( false );
        df.parse( txfStartDate );
      }
      catch ( ParseException ex )
      {
        errors.add( "txfStartDate", new ActionError( "validate.startDateInvalid" ) );
      }
    }
    if ( txfStartDate.length() > 10 )
    {
      errors.add( "txfStartDate", new ActionError( "validate.startDateLength" ) );
    }

    if ( txfEndDate == null || txfEndDate.equals( "" ) )
    {
      errors.add( "txfEndDate", new ActionError( "validate.endDateRequired" ) );
    }
    else
    {
      try
      {
        df.setLenient( false );
        df.parse( txfEndDate );
      }
      catch ( ParseException ex )
      {
        errors.add( "txfEndDate", new ActionError( "validate.endDateInvalid" ) );
      }
    }
    if ( txfEndDate.length() > 10 )
    {
      errors.add( "txfEndDate", new ActionError( "validate.endDateLength" ) );
    }
    return errors;
  }

  /**
   * Diese Methode setzt die Eingabedaten auf der JSP zurck in den Defaultwert
   * @param actionMapping ActionMapping
   * @param httpServletRequest HttpServletRequest
   */
  public void reset( ActionMapping actionMapping, HttpServletRequest httpServletRequest )
  {
    selectedOptions = new int[ 0 ];
    txfAusgangsort = null;
    txfEndDate = null;
    txfStartDate = null;
  }
}
