package ch.sws.tasaf.db;

import java.sql.*;
import java.util.ArrayList;
import org.apache.log4j.Logger;
import ch.sws.tasaf.bo.vo.CountryVO;

/**
 * Kapselung der DB-Zugriffe auf die Tabelle Country
 * <p>
 * Copyright (c) 2004, Eidgenssisches Institut fr Geistiges Eigentum
 * @author Anita Rueegsegger, Marc Bouquet
 * @version 1.0
 */
public class CountryDAO
{
  private static final Logger LOG = Logger.getLogger( CountryDAO.class );

  /**
   * Standard-Konstruktor
   */
  public CountryDAO()
  {}

  /**
   * Gibt eine HashMap mit den Countries zurck, die aus der Tabelle Country gelesen wird
   * @throws SQLException Unerwarteter SQL-Fehler
   * @return HashMap mit allen Countries die in der Tabelle gespeichert sind
   */
  public ArrayList select() throws SQLException
  {
    Connection con = null;
    PreparedStatement ps = null;
    ResultSet rs = null;
    ArrayList countryList = new ArrayList();
    CountryVO countryVO = null;
    String query = null;

    try
    {
      query = "SELECT countryCd, country " +
              "FROM country " +
              "ORDER BY country ASC";

      con = DBHelper.getInstance().getConnection( DBHelper.MYSQL, DBHelper.JDBC_MYSQL );
      ps = con.prepareStatement( query );
      rs = ps.executeQuery();

      while ( rs.next() )
      {
        countryVO = new CountryVO();
        countryVO.setCountryCd( rs.getString( "countryCd" ) );
        countryVO.setCountry( rs.getString( "country" ) );
        countryList.add( countryVO );
      }
      return countryList;

    }
    catch ( SQLException sqlex )
    {
      LOG.debug( query );
      throw new SQLException( "CountryDAO.select(): " + sqlex.getMessage() );
    }
    finally
    {
      DBHelper.getInstance().close( con, ps );
    }
  }
}
