package ch.sws.tasaf.db;

import java.sql.*;
import java.util.ArrayList;
import org.apache.log4j.Logger;
import ch.sws.tasaf.bo.vo.TransportVO;

/**
 * Kapselung der DB-Zugriffe auf die Tabelle TransportTravel
 * <p>
 * Copyright (c) 2004, Eidgenssisches Institut fr Geistiges Eigentum
 * @author Anita Rueegsegger, Marc Bouquet
 * @version 1.0
 */
public class TransportDAO
{
  private static final Logger LOG = Logger.getLogger( TransportDAO.class );

  /**
   * Standard-Konstruktor
   */
  public TransportDAO()
  {}

  /**
   * Gibt eine HashMap mit den Countries zurck, die aus der Tabelle Country gelesen wird
   * @throws SQLException Unerwarteter SQL-Fehler
   * @return HashMap mit allen Countries die in der Tabelle gespeichert sind
   */
  public ArrayList select() throws SQLException
  {
    Connection con = null;
    PreparedStatement ps = null;
    ResultSet rs = null;
    ArrayList transportArten = new ArrayList();
    TransportVO transportVO = null;
    String query = null;

    try
    {
      query = "SELECT idTransport, type " +
              "FROM transport";

      con = DBHelper.getInstance().getConnection( DBHelper.MYSQL, DBHelper.JDBC_MYSQL );
      ps = con.prepareStatement( query );
      rs = ps.executeQuery();

      while ( rs.next() )
      {
        transportVO = new TransportVO();
        transportVO.setIdTransport( rs.getInt( "idTransport" ) );
        transportVO.setType( rs.getString( "type" ) );
        transportArten.add( transportVO );
      }
      return transportArten;
    }
    catch ( SQLException sqlex )
    {
      LOG.debug( query );
      throw new SQLException( "TransportDAO.select(): " + sqlex.getMessage() );
    }
    finally
    {
      DBHelper.getInstance().close( con, ps );
    }
  }
}
